using System.Text.Json;
using LittleTown.StaticDataAcces;

namespace LittleTown.Core.Tests;

public class ExceptionTesting
{
    [Fact]
    public void ExceptionForStaticData()
    {
        StaticDataGetter getter = new StaticDataGetter("null", "null", "null");


        Assert.Throws<JsonException>(() => getter.GetBoard(1));
        Assert.Throws<JsonException>(() => getter.GetObjectives());
        Assert.Throws<JsonException>(() => getter.GetBuildings());
    }
}